Subject: Re: [bitcoin-dev] BIP: Full Replace-by-Fee deployment schedule

From: Tom Harding <[email-masked]>
Date: Mon, 29 Jun 2015 17:21:35 -0700

On 6/28/2015 10:07 PM, Peter Todd wrote:
> Worryingly large payment providers have shown
> willingness(4) to consider extreme measures such as entering into legal
> contracts directly with large miners to ensure their transactions get mined.
> This is a significant centralization risk and it is not practical or even
> possible for small miners to enter into these contracts, leading to a situation
> where moving your hashing power to a larger pool will result in higher profits
> from hashing power contracts; if these payment providers secure a majority of
> hashing power with these contracts inevitably there will be a temptation to
> kick non-compliant miners off the network entirely with a 51% attack.
>

Your incomprehensible meddling with successful usage patterns threatens 
to have unintended consequences directly in opposition to your own 
stated goal of decentralization.  And yet you persist.

As we deliberately break things and turn the P2P network into a 
completely unpredictable hodge-podge of relay policies, we should expect 
many more participants to bypass the P2P network entirely.

Many of the pieces are already in place.

If we wanted the P2P network to have more predicable behavior, it would 
be possible for nodes to provide incentives to their neighbors.  For 
example, if you had a pair of nodes, you could test your peers to see 
that they actually do relay "standard" transactions.  This would have 
emergent usability benefits for the P2P network as a whole.